//
//  AppController.m
//  BrowserDemo
//
//  Created by Dave Jewell on 31/03/2008.
//  Copyright 2008 Dave Jewell. All rights reserved.
//

#import "AppController.h"

@implementation AppController

- (void) awakeFromNib
{
	// The browser is "sticky".  It remembers previous settings, including browser type.
	// Therefore, we need to adjust the radio buttons to agree with reality.
	[_browserType selectCellAtRow: [_browser currentBrowserType] column: 0];
}

- (IBAction) selectBrowserType: (NSMatrix *) sender
{
	int wantedBrowserType = [sender selectedRow];
	[_browser setCurrentBrowserType: wantedBrowserType]; 
	// For photos, we don't show preview/search controls....
	[_browser setShowsControlView: wantedBrowserType != 1];
}


@end
